Commit 83774b5e authored by Denis Laxalde's avatar Denis Laxalde
Browse files

[debian] Introduce a python{,3}-cubicweb-forgotpwd binary packages

parent fcd07e2ae00e
......@@ -2,6 +2,7 @@ cubicweb-forgotpwd (0.9.0-2) UNRELEASED; urgency=medium
* Switch to 3.0 (quilt) format
* Use pybuild
* Introduce a python{,3}-cubicweb-forgotpwd binary packages
-- Denis Laxalde <denis.laxalde@logilab.fr> Wed, 26 Jun 2019 10:11:05 +0200
......
......@@ -5,18 +5,49 @@ Maintainer: LOGILAB S.A. (Paris, FRANCE) <contact@logilab.fr>
Build-Depends:
debhelper (>= 9),
python-all (>= 2.7),
python3-all (>= 2.7),
dh-python,
python-setuptools,
python3-setuptools,
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: http://www.cubicweb.org/project/cubicweb-forgotpwd
Package: cubicweb-forgotpwd
Architecture: all
Depends:
${python:Depends},
python-cubicweb-forgotpwd (= ${source:Version}),
${misc:Depends},
Description: password recovery component for the CubicWeb framework
This CubicWeb component provides password recovery functionnality.
.
CubicWeb is a semantic web application framework, see http://www.cubicweb.org
.
This is a dependency package for the Python2 library.
Package: python-cubicweb-forgotpwd
Architecture: all
Section: python
Depends:
${python:Depends},
${misc:Depends},
Replaces:
cubicweb-forgotpwd (<< 0.9.2-1),
Breaks:
cubicweb-forgotpwd (<< 0.9.2-1),
Description: password recovery component for the CubicWeb framework (Python 2)
This CubicWeb component provides password recovery functionnality.
.
CubicWeb is a semantic web application framework, see http://www.cubicweb.org
Package: python3-cubicweb-forgotpwd
Architecture: all
Section: python
Depends:
${python3:Depends},
${misc:Depends},
Description: password recovery component for the CubicWeb framework (Python 3)
This CubicWeb component provides password recovery functionnality.
.
CubicWeb is a semantic web application framework, see http://www.cubicweb.org
cubicweb python3-cubicweb
......@@ -3,4 +3,4 @@
export PYBUILD_NAME=cubicweb-forgotpwd
%:
dh $@ --with python2 --buildsystem=pybuild
dh $@ --with python2,python3 --buildsystem=pybuild
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment